package com.chinaitop.depot.intelligent.grainsituation.mapper;

import com.chinaitop.depot.intelligent.grainsituation.model.TLqdata;
import com.chinaitop.depot.intelligent.grainsituation.model.TLqdataExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface TLqdataMapper {
    int countByExample(TLqdataExample example);

    int deleteByExample(TLqdataExample example);

    int deleteByPrimaryKey(String id);

    int insert(TLqdata record);

    int insertSelective(TLqdata record);

    List<TLqdata> selectByExample(TLqdataExample example);

    TLqdata selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TLqdata record, @Param("example") TLqdataExample example);

    int updateByExample(@Param("record") TLqdata record, @Param("example") TLqdataExample example);

    int updateByPrimaryKeySelective(TLqdata record);

    int updateByPrimaryKey(TLqdata record);
}